gsw_enthalpy_first_derivatives {gsw} | R Documentation

## First Derivatives of Enthalpy

### Description

First Derivatives of Enthalpy

### Usage

    gsw_enthalpy_first_derivatives(SA, CT, p)

### Arguments

`SA` | Absolute Salinity [ g/kg ]
`CT` | Conservative Temperature [ degC ]
`p` | sea pressure [dbar], i.e. absolute pressure [dbar] minus 10.1325 dbar

### Details

The present R function works with a wrapper to a C function contained within the GSW-C system (Version 3.05-4 dated 2017-08-07, available at https://github.com/TEOS-10/GSW-C, as git commit '5b4d959e54031f9e972f3e863f63e67fa4f5bfec'), which stems from the GSW-Fortran system (https://github.com/TEOS-10/GSW-Fortran) which in turn stems from the GSW-Matlab system (https://github.com/TEOS-10/GSW-Matlab). Consult http://www.teos-10.org to learn more about these software systems, their authorships, and the science behind it all.

### Value

a list containing `h_SA` [ (J/kg)/(g/kg) ], the derivative of enthalpy wrt Absolute Salinity, and `h_CT` [ (J/kg)/degC ], the derivative of enthalpy wrt Conservative Temperature.

### References

http://www.teos-10.org/pubs/gsw/html/gsw_enthalpy_first_derivatives.html

### See Also

Other things related to enthalpy: `gsw_CT_from_enthalpy`, `gsw_dynamic_enthalpy`, `gsw_enthalpy_CT_exact`, `gsw_enthalpy_diff`, `gsw_enthalpy_first_derivatives_CT_exact`, `gsw_enthalpy_ice`, `gsw_enthalpy_t_exact`, `gsw_enthalpy`, `gsw_frazil_properties_potential_poly`, `gsw_frazil_properties_potential`, `gsw_pot_enthalpy_from_pt_ice_poly`, `gsw_pot_enthalpy_from_pt_ice`, `gsw_pot_enthalpy_ice_freezing_poly`, `gsw_pot_enthalpy_ice_freezing`, `gsw_pt_from_pot_enthalpy_ice_poly`, `gsw_pt_from_pot_enthalpy_ice`, `gsw_specvol_first_derivatives_wrt_enthalpy`, `gsw_specvol_first_derivatives`

### Examples

    SA <- c(34.7118, 34.8915, 35.0256, 34.8472, 34.7366, 34.7324)
    CT <- c(28.7856, 28.4329, 22.8103, 10.2600,  6.8863,  4.4036)
    p <-  c(     10,      50,     125,     250,     600,    1000)
    d <- gsw_enthalpy_first_derivatives(SA, CT, p)
    expect_equal(d$h_SA, c(-0.070223912348929, -0.351159768365102, -0.887025065692568,
                         -1.829602387915694, -4.423463748270238, -7.405100077558673))
    expect_equal(d$h_CT/1e3, c(3.991899705530481, 3.992025640520101, 3.992210365030743,
                             3.992284150250490, 3.992685389122658, 3.993014168534175))

[Package gsw version 1.0-5 Index]